> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Tracking Link

Generate a click tracking link for an offer and affiliate pair. The affiliate must have visibility on the offer and be allowed to run it. Returns a ready-to-use tracking URL.


## OpenAPI

````yaml openapi/tracking.yaml post /networks/tracking/offers/clicks
openapi: 3.0.3
info:
  title: Everflow Network API - Tracking Links
  description: >
    Endpoints for generating tracking links for offers and affiliates. For
    tracking concepts and setup, see the [Tracking
    guide](https://helpdesk.everflow.io/customer/introduction-to-tracking-with-everflow).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Tracking Links
paths:
  /networks/tracking/offers/clicks:
    post:
      tags:
        - Tracking Links
      summary: Generate Tracking Link
      requestBody:
        required: true
        content:
          application/json:
            example:
              network_offer_id: 6
              network_affiliate_id: 7
            schema:
              type: object
              required:
                - network_offer_id
                - network_affiliate_id
              properties:
                network_offer_id:
                  type: integer
                  description: The ID of the offer.
                network_affiliate_id:
                  type: integer
                  description: The ID of the affiliate.
                network_tracking_domain_id:
                  type: integer
                  description: >-
                    An optional ID for a specific tracking domain that should be
                    used to generate the link.
                network_offer_url_id:
                  type: integer
                  description: >-
                    An optional offer URL ID. If specified, the offer URL ID
                    must belong to the network_offer_id specified (and must
                    exist).
                creative_id:
                  type: integer
                  description: >-
                    An optional offer creative ID. If specified, the creative
                    must belong to the network_offer_id specified (and must
                    exist).
                network_traffic_source_id:
                  type: integer
                  description: >-
                    An optional traffic source ID. If a traffic source is
                    associated with the affiliate, this parameter will be
                    ignored and the default traffic source will be used instead.
                source_id:
                  type: string
                  description: >-
                    An optional source_id that should be used as a query string
                    parameter on the tracking link.
                sub1:
                  type: string
                  description: >-
                    An optional sub1 that should be used as a query string
                    parameter on the tracking link.
                sub2:
                  type: string
                  description: >-
                    An optional sub2 that should be used as a query string
                    parameter on the tracking link.
                sub3:
                  type: string
                  description: >-
                    An optional sub3 that should be used as a query string
                    parameter on the tracking link.
                sub4:
                  type: string
                  description: >-
                    An optional sub4 that should be used as a query string
                    parameter on the tracking link.
                sub5:
                  type: string
                  description: >-
                    An optional sub5 that should be used as a query string
                    parameter on the tracking link.
                sub6:
                  type: string
                  description: >-
                    An optional sub6 that should be used as a query string
                    parameter on the tracking link.
                sub7:
                  type: string
                  description: >-
                    An optional sub7 that should be used as a query string
                    parameter on the tracking link.
                sub8:
                  type: string
                  description: >-
                    An optional sub8 that should be used as a query string
                    parameter on the tracking link.
                sub9:
                  type: string
                  description: >-
                    An optional sub9 that should be used as a query string
                    parameter on the tracking link.
                sub10:
                  type: string
                  description: >-
                    An optional sub10 that should be used as a query string
                    parameter on the tracking link.
                is_encrypt_parameters:
                  type: boolean
                  description: >-
                    When enabled, will encrypt all query string parameters into
                    a single one.
                is_redirect_link:
                  type: boolean
                  description: >-
                    Only relevant for direct linking offers. Can be used to
                    override the default setting of the offer and generate a
                    redirect link even on a direct linking offer.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: The generated tracking link URL.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````